<?php
namespace Magenest\Salesforce\Controller\Adminhtml\Queue;

use Magenest\Salesforce\Model\Queue;
use Magento\Framework\App\ResponseInterface;

class Subscriber extends AbstractionAction
{
    /** @var string */
    protected $type = Queue::TYPE_SUBSCRIBER;

    /**
     * @return ResponseInterface|void
     */
    public function execute()
    {
        if ($this->getRequest()->isAjax()) {
            $subscriberCollection = $this->subscriberCollectionFactory->create()->addFieldToSelect('subscriber_id');
            try {
                $ids = $subscriberCollection->getAllIds();
                $queueIds = $this->getQueueIdsByType($this->type);
                $this->_queueResource->deleteMultiQueues($queueIds);
                $this->publishData($ids, $this->type);
                $this->getResponse()->setBody($this->_json->serialize([
                    'error' => 0,
                    'message' => __('All Subscribers has been added to queue.')
                ]));
                return;
            } catch (\Throwable $e) {
                $this->_logger->critical($e->getMessage());
                $this->getResponse()->setBody($this->_json->serialize([
                    'error' => 1,
                    'message' => __('Something went wrong while adding Subscribers to queue. Error: ' . $e->getMessage())
                ]));
                return;
            }
        }

        return $this->_redirect('*/*/index');
    }
}
